package com.magnatune.eyecreate.companionformagnatune;

import android.app.Application;

import com.magnatune.eyecreate.companionformagnatune.api.MagnatuneAlbumsConverterFactory;
import com.magnatune.eyecreate.companionformagnatune.api.ToStringConverterFactory;
import com.magnatune.eyecreate.companionformagnatune.api.data_api;

import retrofit.Retrofit;

public class MagnatuneCompainionApplication extends Application {

    private static MagnatuneCompainionApplication instance;

    @Override
    public void onCreate() {
        super.onCreate();
        instance = this;
    }

    public static Application getApplication() {
        return instance;
    }

    public static data_api getDataApi() {
        Retrofit api = new Retrofit.Builder()
                .addConverterFactory(new MagnatuneAlbumsConverterFactory())
                .addConverterFactory(new ToStringConverterFactory())
                .baseUrl("http://he3.magnatune.com")
                .build();
        return api.create(data_api.class);
    }
}
